AlmaLinux 2225 Published by

A wayland security, bug fix, and enhancement update has been released for AlmaLinux 8.



ALSA-2023:2786 Moderate: wayland security, bug fix, and enhancement update


Type:
security

Severity:
moderate

Release date:
2023-05-19

Description
The following packages have been upgraded to a later upstream version: wayland (1.21.0). (BZ#2137625)
Security Fix(es):
* wayland: libwayland-server wl_shm reference-count overflow (CVE-2021-3782)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References:
RHSA-2023:2786
CVE-2021-3782
ALSA-2023:2786

Updates packages:
libwayland-server-1.21.0-1.el8.i686.rpm
libwayland-egl-1.21.0-1.el8.i686.rpm
libwayland-cursor-1.21.0-1.el8.i686.rpm
wayland-devel-1.21.0-1.el8.i686.rpm
libwayland-client-1.21.0-1.el8.i686.rpm
libwayland-client-1.21.0-1.el8.x86_64.rpm
libwayland-egl-1.21.0-1.el8.x86_64.rpm
wayland-devel-1.21.0-1.el8.x86_64.rpm
libwayland-server-1.21.0-1.el8.x86_64.rpm
libwayland-cursor-1.21.0-1.el8.x86_64.rpm
libwayland-cursor-1.21.0-1.el8.s390x.rpm
wayland-devel-1.21.0-1.el8.s390x.rpm
libwayland-server-1.21.0-1.el8.s390x.rpm
libwayland-client-1.21.0-1.el8.s390x.rpm
libwayland-egl-1.21.0-1.el8.s390x.rpm
libwayland-egl-1.21.0-1.el8.aarch64.rpm
libwayland-server-1.21.0-1.el8.aarch64.rpm
libwayland-cursor-1.21.0-1.el8.aarch64.rpm
libwayland-client-1.21.0-1.el8.aarch64.rpm
wayland-devel-1.21.0-1.el8.aarch64.rpm
libwayland-cursor-1.21.0-1.el8.ppc64le.rpm
libwayland-server-1.21.0-1.el8.ppc64le.rpm
wayland-devel-1.21.0-1.el8.ppc64le.rpm
libwayland-client-1.21.0-1.el8.ppc64le.rpm
libwayland-egl-1.21.0-1.el8.ppc64le.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:2786 Moderate: wayland security, bug fix, and enhancement update